#ifndef CONNECTDIALOG_H
#define CONNECTDIALOG_H

#include <QDialog>

namespace Ui {
class ConnectDialog;
}

class ConnectDialog : public QDialog
{
   Q_OBJECT
public:
   explicit ConnectDialog(QWidget *parent = 0);
   ~ConnectDialog();
   QString getAddress();
   QString getPort();

private:
   Ui::ConnectDialog *ui;
signals:

   void joinServerSignal();
   void createNewGame();

public slots:
   void buttonConnectPressed();
};

#endif // CONNECTDIALOG_H
